Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.manager.persistence.jdbc
Class PortalPresentationManagerImpl

    java.lang.Object
      |
      +--com.bea.netuix.application.manager.persistence.jdbc.PortalPresentationManagerImpl

All Implemented Interfaces:
  EnterpriseBean, IPortalPresentationManager, Serializable, SessionBean

public class PortalPresentationManagerImpl
extends Object
implements IPortalPresentationManager, SessionBean

PortalPresentationManagerImpl

See Also:
  Serialized Form

Constructor Summary
`PortalPresentationManagerImpl()`

Method Summary
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`PortalResource` | `getCustomizedPortalResource(CustomizationContext customizationContext, String webAppName, PortalPath portalPath, DesktopPath desktopPath)` Returns a customized `PortalResource` object that a combination of the `webAppName`, `PortalPath`, `DesktopPath` and user permissions resolves to.
`protected String` | `getLookupName(String ejbJndiName)` prepends a lookup name with the application name retrieved using the p13n ApplicationHelper.getApplicationName utility
`PortalResource` | `getPortalResource(CustomizationContext customizationContext, String webAppName, PortalPath portalPath, DesktopPath desktopPath)` Returns a `PortalResource` object that a combination of the `webAppName`, `PortalPath`, `DesktopPath` and user permissions resolves to.
`void` | `setSessionContext(SessionContext sessionContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalPresentationManagerImpl

    public PortalPresentationManagerImpl()

Method Detail

### getLookupName

    protected String getLookupName(String ejbJndiName)

  prepends a lookup name with the application name retrieved using the p13n ApplicationHelper.getApplicationName utility

  Parameters:
    `ejbJndiName` -
  Returns:
    ejbJndiName prepended with application name

### setSessionContext

    public void setSessionContext(SessionContext sessionContext)
                           throws EJBException,
                                  RemoteException

  Specified by:
    `setSessionContext` in interface `SessionBean`
    `EJBException`
    `RemoteException`

### ejbCreate

    public void ejbCreate()
                   throws CreateException,
                          RemoteException

    `CreateException`
    `RemoteException`

### ejbRemove

    public void ejbRemove()
                   throws EJBException

  Specified by:
    `ejbRemove` in interface `SessionBean`
    `EJBException`

### ejbActivate

    public void ejbActivate()
                     throws EJBException

  Specified by:
    `ejbActivate` in interface `SessionBean`
    `EJBException`

### ejbPassivate

    public void ejbPassivate()
                      throws EJBException

  Specified by:
    `ejbPassivate` in interface `SessionBean`
    `EJBException`

### getPortalResource

    public PortalResource getPortalResource(CustomizationContext customizationContext,
                                            String webAppName,
                                            PortalPath portalPath,
                                            DesktopPath desktopPath)
                                     throws RemoteException

  Returns a `PortalResource` object that a combination of the `webAppName`, `PortalPath`, `DesktopPath` and user permissions resolves to.
  If this combination does not resolve to a Desktop, the default `Desktop` is returned.
  If a default `Desktop` does not exist, the content uri to the `PortalDefinition` is returned.

  Specified by:
    `getPortalResource` in interface `IPortalPresentationManager`
  Parameters:
    `customizationContext` - customization information
    `webAppName` - J2EE web application name
    `portalPath` - `PortalPath`
    `desktopPath` - `DesktopPath`, can be null in which case portal resource uri will be returned
  Returns:
    PortalResource
  Throws:
    `RemoteException`

### getCustomizedPortalResource

    public PortalResource getCustomizedPortalResource(CustomizationContext customizationContext,
                                                      String webAppName,
                                                      PortalPath portalPath,
                                                      DesktopPath desktopPath)
                                               throws RemoteException

  Returns a customized `PortalResource` object that a combination of the `webAppName`, `PortalPath`, `DesktopPath` and user permissions resolves to.
  If this combination does not resolve to a Desktop, null is returned.

  Specified by:
    `getCustomizedPortalResource` in interface `IPortalPresentationManager`
  Parameters:
    `customizationContext` - customization information
    `webAppName` - J2EE web application name
    `portalPath` - `PortalPath`
    `desktopPath` - `DesktopPath`, can be null in which case portal resource uri will be returned
  Returns:
    PortalResource
  Throws:
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved